 CREATE OR REPLACE FUNCTION public.get_books_by_title(  
      p_title text)  
   RETURNS TABLE(id integer, title text)   
   LANGUAGE 'plpgsql'  
   COST 100  
   VOLATILE   
   ROWS 1000  
 AS $BODY$  
   BEGIN RETURN QUERY SELECT books.id, books.title FROM books WHERE books.title like $1 ;  
   END;  
 $BODY$; 